## mini-buildd 1.9.117

=== debian/changelog ===
mini-buildd (1.9.117) unstable; urgency=medium

  [@release team: This is NOT for bookworm; pseudo bug is in place to keep
  mini-buildd in unstable.]

  Summary:
  * Another evolution of the 'setup system'
  * Misc fixes from some migration tests
  * Fixes/improvemts for remote building (Builders)
  * Improvements for the 'emacs cl mode' example (mr -- thx Gerhard)

  [ Gerhard A. Dittes ]
  * [6544e06] examples/mini-buildd-utils/mini-buildd.el: move to changelog
    menu
  * [f6bf1bd] examples/mini-buildd-utils/mini-buildd.el: separate from
    other menu items
  * [febf25f] examples/mini-buildd-utils/mini-buildd.el: be smart (,
    "always"!)
  * [31b60f3] examples/mini-buildd-utils/mini-buildd.el: homogenize menu
    definitions
  * [166cfa9] examples/mini-buildd-utils/mini-buildd.el: comply with
    "Emacs Lisp Coding Conventions"
  * [712e683] examples/mini-buildd-utils/mini-buildd.el: prevent redundant
    information
  * [ad92802] examples/mini-buildd-utils/mini-buildd.el: fix typo (auto-
    ports parameter)
  * [291503d] examples/mini-buildd-utils/mini-buildd.el: fix momentous
    typo
  * [d58cc66] examples/mini-buildd-utils/mini-buildd.el: some more
    reasonable variable naming
  * [411a384] examples/mini-buildd-utils/mini-buildd.el: prefer strings
    over symbols
  * [9bf9482] examples/mini-buildd-utils/mini-buildd.el: add some
    variable/function documentation (& make 'mbd-distributions'
    extensible)

  [ Stephan Sürken ]
  * [fa598e7] api.py (Setup.iarguments): --repositories: Fix
    notation/logic have <id>[/<layout_id>] (not
    <id>[/<some_internal_string])
  * [5595595] includes/range_menu.html: Use step=any for date input (fixes
    confusing browser validation errors)
  * [e848af8] api.py (Setup): Add "current" Setup preset (computed from
    current instances)
  * [d68c83b] api.py (Setup.iarguments): Add architecture to '--chroots'
    option
  * [5d6db0a] api.py (Setup.iarguments): Update --repository syntax
  * [80085e8] api.py (refac): Fix up repository setup
  * [538fe4e] tags/api_arg.html: Don't use size= for text,url,number (CSS
    already sets this)
  * [deded82] mini_buildd.css (input[type="number|text"]): Make width
    somewhat bigger
  * [9b2a8cf] misc.py (esplit): Helper: Deliver empty list on strip(sep)
    (unlike str.strip)
  * [187b0b0] api.py: Fixup args --chroots* and --repositories*
  * [05803e1] api.py (Setup._setup): Separate code for 'var' and 'run'
  * [c16d4bd] mini-buildd: Clean up '--debug=foo,bar' option: Drops
    'warnings','exceptions' (now w/ log level DEBUG) and 'http' (not used)
  * [615416a] api.py (Setup._setup): (refac) Go with one setup dict
  * [3b4c1d3] devel (mbd_ipython3): Convenience: Run ipython so we can
    import directly from working dir
  * [dcfc1d3] misc.py (uniq): Add helper to make lists unique
  * [b92fe21] api.py (Setup): Update result to be a dict again: +setup,
    instances (list as before), +report
  * [96885eb] api.py (Setup): (refac) Split _setup -> __setup, __run (also
    fixes some pylint codestyle complaints)
  * [6a60628] api.py (Setup): (setup dict) Update all use of ``set`` to
    ``list`` (fixes order, makes setup dict JSON-serializable)
  * [3067616] devel (snapshot): Fix: sources_list check should be limited
    to "test" repository
  * [30a2aa8] api.py (Setup): Add separate --distributions arg (instead of
    combining w/ --repositories)
  * [31894ab] api.py (Setup.preset_current): Fixup chroots "current setup"
  * [e50c61d] api.py (Setup.Dists): Cleanup: Construct from iterable &&
    drop separator
  * [2075dd5] tags/api_arg.html: Drop prefixing argument name to doc
    (duplication/cluttering only)
  * [3616c4f] api.py (ListArgument/argparse): Add custom argparse 'extend'
    action (fixes: Only last given values of '--list' options would be
    used if given multiple times)
  * [1eedf7a] src/mini-buildd (doc): --http-endpoint: Clear up wording
    (option itself may not be given multiple times)
  * [e84bb7b] devel (profiles): Update pureos setup
  * [12ef2ed] devel (testsuite): Add profiles '_arm64', '_repos'
  * [3d7def3] python3-mini-buildd.links: Switch Numix icon theme dir from
    48->32 (since numix-icon-theme 0~20230112-1, 48/ is not complete)
  * [b893d97] api.py (Setup.iarguments): Drop '--save' option (including
    all support to auto save/retrieve from pickled_data)
  * [d718d43] api.py (Setup._preset): Drop '--update=all' from
    (Debian,Ubuntu) presets
  * [2d79c9b] api.py (Setup): Drop --sources-from-origin-with-lts|all in
    favor of <origin>:lts|all notation
  * [83b9799] api.py (Setup.iarguments): --chroots-from-distributions ->
    --chroots-from-sources (makes it suitable for builder-only hosts)
  * [9eedb47] api.py (Setup.iarguments): Misc argument docs fixups
  * [490d098] dist.py (refac): Make CODENAMES dict of Codenames (not
    setup)
  * [b477ef2] dist.py(refac): Drop CODENAMES global
  * [45382dd] api|dist.py (refac): codename selector: Move to dists and
    simplify
  * [4cea9d2] api.py (Setup._check_codenames): Drop (projected: should
    just go with a defaults)
  * [c44eddc] dist.py (di_codenames): Add support to get all codenames
    known to distro-info
  * [66176d0] api.py (Setup): Fix: Provide empty list if no 'apt_keys'
    setup found, not None
  * [dea8d1d] dist.py (Codename): Initially support a default setup
  * [cdb572c] api.py (Setup.__run.LayoutInstance.update): Remove some
    left-over debug logs
  * [fec5ea7] api.py (Setup.__run.SourceInstance.update): Skip clearing
    apt_keys list, always, use 'Instance', simplify
  * [a9d5a39] api.py (Setup.__run): Layout: Always use 'Instance',
    simplify
  * [dd6d3c2] api.py (Setup.Instance.diff): Model diff: Skip field if
    Model's default is the empty string
  * [394f583] misc.py (mdget): Add special "dict get" helper
  * [ccd1c3b] dist.py (Codename): Add setup_* methods to retrieve data
    from setup; updates && fixes for Sources+Distribution+Chroot

