## mini-buildd 1.9.122

=== debian/changelog ===
mini-buildd (1.9.122) unstable; urgency=medium

  [@release team: This is NOT for bookworm; pseudo bug is in place to keep
  mini-buildd in unstable.]

  Summary:
  * Make production log more readable
  * Web: Make start/stop (was: power) interface simpler
  * Web: Improve API call result design
  * Fix long-standing caveat 'No error handling for ftpd startup errors'
  * Misc smaller cleanups && doc updates

  Summary:
  [ Gerhard A. Dittes ]
  * [a4e9ed7] examples/mini-buildd-utils/mini-buildd.el (mini-buildd-
    debian-changelog-mode-hook): rename submenu to improve consistency
  * [e067813] examples/mini-buildd-utils/mini-buildd.el (mini-buildd-
    debian-changelog-mode-hook): add separator to improve clarity
  * [af1e3ed] examples/mini-buildd-utils/mini-buildd.el (mini-buildd-
    debian-changelog-mode-hook): append dots to menu entries which require
    further action
  * [f9aa238] examples/mini-buildd-utils/mini-buildd.el (mini-buildd-
    debian-changelog-mode-hook): combine "ignore items" into submenu to
    improve usability

  [ Stephan Sürken ]
  * [1bd8e43] manual/roadmap.rst: 1.0.x done: setup testing
  * [17dd0ee] models.py (StatusModel.Admin.mbd_check): code style: Error
    handling 1st
  * [405467f] models.py (KeyringKey): Drop this (obsoleted) abstract class
  * [908b714] sbuild.py (sbuild setup blocks): Add notes on placing for
    some blocks
  * [9db09a5] repositories/index.html: Use datatables for top view as well
  * [93b07ca] views.py (RepositoriesView.setup): Use separate templates
    for repo overview / dist view
  * [15eebd4] repositories/distribution.html: Customize for distribution
    view (fixes misleading title/header)
  * [47315f1] includes/popup.html: Fixup indent (cosmetic)
  * [c079ceb] includes/popup.html: Simplify API popup (one menu only)
  * [cf89bfd] includes/api/*.html: Drop all "trivial" custom API call
    templates
  * [5f55424] includes/api/list.html: Drop (this API call has been removed
    a while ago)
  * [b608a3a] api.py (Start): Replace 'Power' with 'Start', 'Stop'
  * [19096c4] daemon.py (Daemon.mbd_start): Fail if Daemon instance is
    deactivated (instead of just ignoring)
  * [4dea367] static/mini_buildd.js: Do location.reload() after successful
    ``start`` and ``stop`` calls
  * [008d6b5] ftpd.py (FtpD.run): Drop hiding/ignoring ftpd_options parse
    errors
  * [a5b29c8] ftpd.py (FtpD): Add extra bind() method (run before thread
    run). Fixes ftpd startup error handling
  * [3ff9ea5] threads.py (Thread): Update thread code for consistent
    thread start/stop logs
  * [51e3c94] twisted+pyftpd: Only bend resp. logging to ours if --log-
    level=DEBUG
  * [d986d97] threads.py (Thread.run): Cleanup log text
  * [6b0f81c] cli.py (logging): Only use one (simplified) format
  * [e68984d] *.py: Bulk-downgrade a number of log lines to debug (don't
    clutter a production log)
  * [eb75da8] httpd.py (HttpD.__init__): Make name of thread be the URL(s)
    of endpoint(s) (like for ftpd)
  * [5463b1d] daemon.py (Daemon.__init__): Make name of thread str(Model)
    && drop extra str(Daemon)
  * [a6fe39d] builder.py: Drop thread names for Uploader, Packager,
    (Cron)Tab
  * [eaacb9d] builder.py (Build.__str__): Drop: Unused, confusing
  * [dc18519] builder.py (Build.__init__): Only use build key as thread
    name
  * [a7a4a46] builder.py (Builder.__init__): Add useful info in thread
    name && drop extra __str__()
  * [85a1d29] threads.py (log, exceptions): Update wording and levels
  * [7f2acda] static/mini_buildd.js: Fix position of hidden class removal
    (Fixes ongoing not showing regression)
  * [e813a92] *.py(doc): Bulk-drop all (remaining) trailing '.' in
    exception strings (just for consistency)
  * [5d44467] *.py(doc): Bulk-drop all remaining trailing '.' for all
    python code documentation titles (just for consistency)
  * [653b900] *.py: Bulk-drop remaining trailing '.' from annotation
    titles (just for consistency)
  * [f2739c8] dist.py: Add Ubuntu lunar 23.04
  * [24c528a] api.py: Fix sphinx error with pimpdoc
  * [723c19f] util.py, view.py (Versions): Pimp up && use as django
    context (replacing mbd-only ``mbd.version`` context)
  * [10281a8] devel (testsuite-packages): Do package removal (to assure
    idem potence) before (not after) the actual test

 -- Stephan Sürken <absurd@debian.org>  Sun, 23 Apr 2023 17:45:37 +0200

mini-buildd (1.9.121) unstable; urgency=medium

  [@release team: This is NOT for bookworm; pseudo bug is in place to keep
  mini-buildd in unstable.]

  Summary:
  * Consolidate && update docs on internal 'sbuild config|setup blocks'
  * More testing && doc for urold support (<= squeeze)
  * More migration testing, docs and fixes

  * [dde0f14] sbuild.py: Drop sbuild (auto) config block 'no-apt-update'
    in favor of '--no-apt-update' sbuild option
  * [1f37926] sbuild.py: Internal/cosmetic: Avoid extra space for
    BASH_VARS
  * [36ab36c] sbuild.py(setup blocks: Merge 'apt-setup-https' into 'apt-
    setup'
  * [50797df] *.py (sbuild config|setup blocks): Drop '-Top' variant.
    Ordered list instead with (hardcoded) default && no automatic entries
  * [015cb68] sbuild.py (apt-setup): Copy https cert only if exists and
    non-empty
  * [caf044c] dist.py(style): Bulk-fix multiline notation
  * [96f7271] models.py: Fixup doc on Distrubtion's extra options
  * [fb271cd] sbuild.py: Update block docs && order
  * [82ea8d9] sbuild.py (SetupBlocks.configure): Drop Dir.add_dir (now
    honors order of given setup blocks)
  * [2a07948] dist.py: Minimize workrounds needed for wheezy, jessie
  * [e37acf5] sbuild.py (setup blocks): Don't use 'show-sbuildrc' by
    default
  * [ee3645c] share/package-templates/mbd-test-cpp/debian/rules: Add
    workaround to make it build for squeeze
  * [2c3a415] examples/mini-buildd/pin-sbuild-for-urold: Add APT
    preferences example -- pin sbuild for urold support
  * [13f08bb] dist.py (squeeze): Add 'squeeze-lts' source

