=== debian/control ===
Source: mini-buildd
Section: devel
Priority: optional
Maintainer: Stephan Sürken <absurd@debian.org>
Build-Depends:
	debhelper-compat (= 13),
	dh-python,
	bash-completion,
	man-db (>= 2.5.1),
	po-debconf,
	python3 (>= 3.6),
	python3-setuptools,
	python3-packaging,
	python3-sphinx (>= 1.1.3),
	python3-pygraphviz,
	man2html,
	help2man,
	python3-dateparser,
	python3-argcomplete (>= 0.5.4),
	python3-keyring (>= 17),
	python3-debian (>= 0.1.18~),
	python3-distro-info (>= 1.0~),
	python3-twisted (>= 20),
# needed by newer twisted (buster)
	python3-attr (>= 19),
	python3-pyftpdlib (>= 1.2.0),
	python3-django (>= 2:2.2),
	python3-gpg,
	minify,
	gnupg,
# Needed for contrib.py only:
	python3-bs4,
# Needed for super-portext only:
	python3-apt
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian/mini-buildd
Vcs-Git: https://salsa.debian.org/debian/mini-buildd.git
Homepage: http://mini-buildd.installiert.net/
# Need 3.6 for fstrings (PEP 498)
X-Python3-Version: >= 3.6

Package: python3-mini-buildd
Section: python
Architecture: all
Depends:
	${misc:Depends},
	${python3:Depends},
	python3-packaging,
	python3-dateparser,
	python3-argcomplete (>= 0.5.4),
	python3-keyring (>= 17),
	python3-debian (>= 0.1.25~),
	python3-distro-info (>= 1.0~),
	python3-twisted (>= 20),
# needed by newer twisted (buster)
	python3-attr (>= 19),
	python3-django (>= 2:2.2),
# Used icon theme (see ``<package>.links``):
	numix-icon-theme,
	python3-gpg,
	libjs-jquery,
	libjs-jquery-datatables,
# This version fixes Debian bug 960859:
	node-clipboard (>= 2.0.6+ds+~cs7.6.4-1~)
Conflicts: python-mini-buildd
Replaces: python-mini-buildd
Suggests:
	python3-bs4,
# For API call 'debmirror'
	debmirror
Description: minimal build daemon - Python library and user tool
	Mini-buildd is an easy-to-configure autobuilder and
	repository for deb packages.
	.
	This package contains the "mini_buildd" Python package.

Package: mini-buildd
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
	${misc:Depends},
	${python3:Depends},
	python3-mini-buildd (= ${binary:Version}),
	python3-pyftpdlib (>= 1.2.0),
	adduser,
	sudo,
# >= 2.2.26 to avoid bugs #972525 #868550
	gnupg (>= 2.2.26),
	dirmngr,
	reprepro (>= 5.3.0-1.4~),
	debootstrap (>= 1.0.126+nmu1~),
# debootstrap needs ``zstdcat`` for "newer Ubuntus"
	zstd,
	schroot (>= 1.6.10-3~),
	schroot (<< 1.7),
	sbuild (>= 0.72),
	dpkg-dev (>= 1.17.27~),
	devscripts (>= 2.14.5~)
Recommends:
	lintian,
	piuparts,
	autopkgtest,
	mini-buildd-doc,
	python3-apt,
# Make convenience list of available system's architectures available
	arch-test
Suggests:
	debian-archive-keyring,
	ubuntu-keyring,
	haveged,
	lvm2,
	qemu-user-static (>= 1:5.2),
	binfmt-support,
	btrfs-progs,
	openssl
Breaks:
	mini-buildd-rep (<< 1.0.0~),
	mini-buildd-bld (<< 1.0.0~)
Replaces:
	mini-buildd-rep,
	mini-buildd-bld
Description: minimal build daemon - daemon
	Mini-buildd is an easy-to-configure autobuilder and
	repository for deb packages.
	.
	This package provides the main daemon.

Package: mini-buildd-utils
Architecture: all
Depends:
	${misc:Depends},
	${python3:Depends},
	python3-mini-buildd (= ${binary:Version}),
	python3-apt
Recommends:
# for bootstrap-apt (handy to parse json from shell generally)
	jq,
# for bootstrap-apt
	lsb-release
Replaces: python-mini-buildd, python3-mini-buildd (<< 1.1.5~)
Breaks: python-mini-buildd, python3-mini-buildd (<< 1.1.5~)
Description: minimal build daemon - utilities
	Mini-buildd is an easy-to-configure autobuilder and
	repository for deb packages.
	.
	This package provides (optional) utilities, notably mini-buildd-api,
	a command line to access the web API.

Package: mini-buildd-doc
Section: doc
Architecture: all
Depends:
	${misc:Depends},
	${sphinxdoc:Depends}
Replaces: mini-buildd (<< 1.1.5~)
Breaks: mini-buildd (<< 1.1.5~)
Description: minimal build daemon - manual
	Mini-buildd is an easy-to-configure autobuilder and
	repository for deb packages.
	.
	This package contains the HTML documentation.
