## mini-buildd 1.9.123

=== debian/changelog ===
mini-buildd (1.9.123) unstable; urgency=medium

  [@release team: This is NOT for bookworm; pseudo bug is in place to keep
  mini-buildd in unstable.]

  Summary:
  * Misc setup updates (bookworm, bullseye, xenial)
  * Fixes for use w/ apt-cacher-ng ("apt-get update stall", ping)

  Details:
  [ Stephan Sürken ]
  * [7d0a079] devel: Don't use --archives-from-proxy by default && update
    notes on 'apt-get update stalls' problem
  * [0c97cb6] dist.py (setup): Rename 'urold' flag back to 'broken' && add
    temporary 'broken' flag for Ubuntu lunar
  * [b287fd9] dist.py (setup): Add backports for bookworm
  * [3b7a53c] dist.py (setup): Add backports-sloppy to bullseye
  * [d77cad1] mini_buildd/base.html: Improve "Daemon stopped" message to
    actually tell when is maintenance being done
  * [426ac42] sbuild.py (apt-update): Use ``timeout`` on ``apt-get
    update`` (also works around mysterious apt client/parallel bug)
  * [6f33c36] examples (vsyscall-emulate.cfg): Drop "local-" prefix for
    this example
  * [49dc349] apt-parallel-bug: Add example script to repeat "apt-get
    update stall phenomena"
  * [512db34] manual/administrator.rst ('apt-get update stall' note):
    Downgrade to 'attention' (now has workaround) && update to newest
    findings
  * [cfdb44f] sbuild.py: Add comment why we use timeout on apt-update
  * [f02700e] models.py (Archive.mbd_ping): Drop trailing "/" on ping
    (problems with newer apt-cacher-ng)

  [ Gerhard A. Dittes ]
  * [286dc2a] Enhance Debian changelog mode extension

  [ Stephan Sürken ]
  * [2e6fae7] sbuild.py (apt-update): Drop ``--verbose`` from ``timeout``
    call (to be compatible with urold coreutils)
  * [949581c] dist.py (setup): Ubuntu xenial: Should use ``apt-key-add``
    sbuild block
  * [3d9dcf6] sbuild.py (apt-update): Tweak timeout times && re-add sleep

 -- Stephan Sürken <absurd@debian.org>  Sun, 14 May 2023 07:16:28 +0200
