## mini-buildd 1.9.124

=== debian/changelog ===
mini-buildd (1.9.124) unstable; urgency=medium

  [@release team: This is NOT for bookworm; pseudo bug is in place to keep
  mini-buildd in unstable.]

  Summary:
  * Promote emacs support (from examples->actual installs to site-lisp)
  * Fix/update tooling to setup external 'SSH access'
  * Improve inspecting with API call 'setup' && do scheduled inspections

  Details:
  * [695d4b7] includes/events.html: Drop "rebuild" menu item (redundant &&
    significantly slows down 'daily cake' events view on bigger repos)
  * [f092ff6] Promote emacs support from examples to proper installs to
    site-lisp
  * [cbdeb21] daemon.py (Stopped): Don't fail if restart fails (Fixes:
    maintenance calls with deactivated Daemon)
  * [2196dfd] src/mini-buildd-setup-ssh-access: Add admin tool to setup
    SSH access (user add/del support for now)
  * [8866288] src/mini-buildd-setup-ssh-access: Add support to auto-
    generated GPG key (per user)
  * [b542a0b] src/mini-buildd-setup-ssh-access: On --purge, kill all user
    processes 1st (avoids error with deluser)
  * [834deab] src/mini-buildd-setup-ssh-access: Add support to generate
    extra dput.cf (and add to mbd setup)
  * [a642f01] src/mini-buildd-setup-ssh-access (uploader): Add support to
    setup incoming dir
  * [55ef12e] src/mini-buildd-setup-ssh-access (uploader): Add support to
    generate initial authorized_key (with example line)
  * [6a0ae07] src/mini-buildd-setup-ssh-access (uploader): Add support to
    generate ~/.dput.cf
  * [7e45903] src/mini-buildd-setup-ssh-access: Add support to explicitly
    give an endpoint (defaulting to current hostname/http)
  * [8c5c05b] src/mini-buildd-setup-ssh-access: Get identity from endpoint
    (use for dput.cf)
  * [04d8663] src/mini-buildd-setup-ssh-access: Interactively ask to
    continue -- i.e., also in non-purge case
  * [d5df557] src/mini-buildd-setup-ssh-access (staff, admin): Add support
    to setup for plain python keyrings
  * [6a0be38] src/mini-buildd-setup-ssh-access (staff, admin): Add support
    to setup user password
  * [c8953d6] src/mini-buildd-setup-ssh-access: Generate GPG key for
    uploader only && auto-set key via m-b-api set_user_key
  * [18deef3] Improve naming: m-b-setup-ssh-access->m-b-ssh-setup
  * [13f2e99] src/mini-buildd-*: For all "bash tools", get tool name in
    usage automatically
  * [ad5b06c] src/mini-buildd-*: For all "bash tools", also accept "-h" to
    get help/usage
  * [0d1d28b] src/mini-buildd-ssh-uploader-command: Initial (sort-of
    working) code update/fix (greatly simplified)
  * [9a336a6] src/mini-buildd-ssh-uploader-command (CLI.runcli): Add check
    for original ssh command (give reasonable error on non sftp access)
  * [c34ac47] src/mini-buildd-ssh-uploader-command (CLI.runcli): Also log
    SSH_CONNECTION
  * [174eae2] src/mini-buildd-ssh-uploader-command: Serialize calls (via
    self-brewed filelock)
  * [777fd29] cli.py (auth_log): Completely drop 'auth_log hack' code
  * [5c28675] Rename ssh-client-command -> ssh-api-command
  * [a50a93d] src/mini-buildd-ssh-setup: Generalize authorized_keys
    "installer", and add for staff && admin as well
  * [70b0c8d] src/mini-buildd-ssh-setup (_install_authorized_key_example):
    Fix pub key part in example authorized_key file
  * [33b281c] src/mini-buildd-ssh-api-command: Drop (we can simply call
    m-b-api directly in command)
  * [e6cfbea] src/mini-buildd-ssh-setup (_setup_pk_plain): Fix/reword
    password store routine
  * [d32693a] src/mini-buildd-ssh-*: Update && merge docs in ``m-b-ssh-
    setup --help``
  * [5554cfc] src/mini-buildd-ssh-setup: Drop saving user password for
    -uploader && update docs/notes && add cavet note
  * [a02f44e] src/mini-buildd-ssh-uploader-command (log): Simplify to just
    log one message (string)
  * [d8b408b] manual: Update "SSH access" docs in manual && drop thus last
    TODO
  * [498301a] builtins.py (mbd_dict_get): Add support for default value
  * [15cb8c7] main_menu_item.html: Use empty string as default value
    (avoids "None" as title if attention is unsupported)
  * [93d717d] api.py (Setup.__run._report_add): Generalize 'report item
    adding'
  * [90ab588] api.py (Setup): Drop extra "desc" from report item (instead,
    just use key as description)
  * [5c6aa35] api.py (Setup): Make "total instances" a proper report item
  * [7e7224f] api.py (Setup): Report: Add "overall severity"
  * [9f04c56] mini_buildd.css (:root): 'okay' should rather be greenish,
    like 'success'
  * [d21d6b5] api.py (Setup.Report): Improve/sanitize API call setup's
    'report' code
  * [b80de3e] cron|daemon.py (cronjob_setup_inspect): Add 'inspecting' API
    call 'setup' to weekly cron (renames cron "check" -> "setup_inspect")
  * [4e113e3] api.py (Setup.Instance.Status): Use Enum for status (instead
    of just strings)
  * [10c9721] api.py (Setup.__run): Generalize reports based on instance
    status
  * [cf8266f] api.py (Setup.Instance.Status): Add checks FAILED, CHANGED
    (and accompanying cleanups)
  * [726600d] daemon.py, *: Drop all old-style "attention" code

 -- Stephan Sürken <absurd@debian.org>  Mon, 29 May 2023 17:23:07 +0200
