## mini-buildd 1.9.125

=== debian/changelog ===
mini-buildd (1.9.125) unstable; urgency=medium

  Summary:
  * Huge documentation update iteration (API,Manual). Release-ready
  * Web/HTML update iteration. Release-ready
  * Scheduled inspections: Stabilize implementation && make results persist
    - Update codeversions logic so inspections can also notify on releases
      (like bookworm ;)

  Details:
  * [f5519b8] models.py (Source): Make codeversion_override always be the
    guessed codeversion (and make codeversion editable)
  * [c82aa4b] api.py (Setup.__run.SourceInstance.diff): Add custom model
    diff for codeversion (get notification when rolling becomes stable)
  * [6b08ee8] builder.py (Builder): Cleanup and optimize builder 'stat'
    methods (queued(), running(), load())
  * [32c685f] api.py/api_arg.html (doc/HTML): Add input syntax help per
    argument type
  * [28bbe95] api.py (_pimpdoc): Replace 'result_doc' _pimpdoc argument by
    RESULT_DESC class attribute
  * [c9686c4] api.py(doc): Drop _pimpdoc(), rather do all automatic
    injections in doc()
  * [e5f707c] api.py: Update all result descriptions to RESULT_DOC
  * [9e9f8e0] api.py (Calls): Be consistent in doc notation for all calls
  * [2589ebb] api.py (doc): Update calls status, dput_conf
  * [90b2538] api.py (Call.doc): Simplify && only inject result
    description if there is one
  * [f366f06] api.py (Call): Drop flag "CUSTOM_HTML_SNIPPET" (not
    used/needed any more)
  * [7521253] api.py (SourcesList): Doc proofreading fixes
  * [91378f4] src/mini_buildd/static/mini_buildd.css (body): Add standard
    margin/padding for span
  * [6d27c8e] api.py (SnapshotLs): Drop outdated result description (which
    does not really add information anyway)
  * [faf3d0d] api.py (UploadOptions): Indent upload option usage text
    (mitigates ugliness)
  * [0f45043] api.py (Retry, Cancel): Doc proofread fixes
  * [0677880] api.py (Port,PortExt): Doc proofread fixes
  * [50fbbf8] api.py (Debmirror): Doc proofread and update
  * [c4ecb98] manual: Add sphinx extension (example only for now)
  * [55746da] manual/*.rst: Consistently use new line on section start
  * [d4dbdaf] manual/*.rst: Bulk-reformat paragraphs for 120 char line
    length
  * [adf879a] manual/index.rst: Rather use order
    consumer->developer->administrator (somewhat like in API index page)
  * [f2f7f81] manual/administrator|consumer|developer.rst: Use
    "Introduction, Installation, Setup, Workflows" as top sections for all
    manuals
  * [2978fc3] manual/consumer.rst: Properly reorder sections
  * [158880a] manual/consumer.rst: Convert "multiple versions" section to
    note
  * [2b9d524] manual/developer.rst: Convert "reprepro symlink" section to
    error
  * [c261466] manual/administrator.rst: Re-order sections to new top level
    section lineup
  * [a265f66] manual/administrator.rst: Drop worklflow section "keyring
    and test packages" (we already have "Build Keyring Packages")
  * [fe6bdee] manual/administrator.rst: Bulk-drop superflous newlines
  * [4ec5591] manual/roadmap.rst: RoadMap -> Roadmap
  * [2438861] manual/roadmap.rst: Order versions "newest top"
  * [3bd64a6] manual/roadmap.rst: Move "migrate from 0.8.x" to roadmap
  * [571b1f8] manual/roadmap.rst: Simplify 2.2.x (next) issues list
  * [e6145a5] manual/roadmap.rst: Drop 'ccache expire' issue (ccache
    already limits and expires)
  * [0dcee1a] manual/roadmap.rst: Re-order and fixup issues for 2.2.x
  * [1f1a11f] manual/roadmap.rst: Make 2.0.x section "release ready"
  * [53baa31] manual/roadmap.rst: Label 2.2.x section 'next+'
  * [75fadea] manual/roadmap.rst: 2.2.x: Add reprepro 5.4 hint (multiple
    versions per distribution)
  * [594846d] manual/consumer.rst: Drop unnecessary attention for prio
    table
  * [ef45b66] manual/developer.rst: Move debbug link to title
  * [795bd29] manual/consumer.rst: Move debbug link to title
  * [def2085] manual/administrator.rst: Move debbug link to title
  * [c3ea29d] manual/administrator.rst: Move debbug link to title
  * [1cf5446] manual/administrator.rst: Move debbug link to title
  * [f8d01c0] manual/administrator.rst: Move debbug link to title
  * [1b8ba5b] mini-buildd-super-portext: Don't use 'attention' here (this
    is experimental, should not appear as issue in docs)
  * [b47a658] admin/mini_buildd.html: Drop (superflous/fixed) issue from
    template
  * [8859584] builtins.py (PlainFilter): Drop unused code line with
    attention (this won't come)
  * [e4b852e] builder.py (Build.__init__): Downgrade note on constructor
    to code-comment only
  * [65dcaba] api.py (KeyringPackages): "no apt-key support for urold"
    should be 'note' not 'tip'
  * [66f4527] manual/abstract.rst: Drop glossary (that does not seem to be
    very helpful)
  * [1df1bda] sphinx_ext_mini_buildd.py: Fix imports
  * [6049f47] *.py (doc/admonitions): Consistently put debbug last in
    title
  * [2d82da6] manual/administrator.rst (Introduction): Remove "not revised
    for 2.0" (no changes, but this should all still be valid)
  * [1c45c7a] manual/administrator.rst: Remove use of glossary terms
    (glossary has been removed)
  * [b4a09f3] api.py (admonition): Improve wording on qemu tip
  * [645bfeb] util.py (systemcert_workaround): python/SSL_CERTIFICATE
    admonition should be "note" not "tip"
  * [71dd3d3] manual/roadmap.rst (Upgrade from 1.0.x): Fix order of post-
    upgrade check list
  * [65e9497] manual: Move note on sbuildrc_snippet etc to roadmap's
    upgrade checklist
  * [bb1f799] manual/roadmap.rst Improve upgrade checklist
  * [55d045d] manual/administrator.rst: Improve section 'Handling of
    *ongoing* events' (make clear that uploads are now retried
    indefinitely) (Closes: 877144)
  * [a5cb6a0] mini_buildd.css (curstom margins): Add 'pre', drop 'span'
  * [9419e3c] api.py (inpection report user msg): Make clear this is from
    inspection run
  * [0ee18c5] config.py: Drop MAIN_MENU_LEFT|RIGHT (used nowhere else,
    should rather just be in HTML template)

