## mini-buildd 1.9.125.dev20230619093432~ab10+0

=== debian/changelog ===
mini-buildd (1.9.125.dev20230619093432~ab10+0) buster-ab-experimental; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    5dc0052bba570ebdca49c4b05a365d9c9b37510a.
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Mon, 19 Jun 2023 11:37:34 +0200

mini-buildd (1.9.125.dev20230619093432~ab~SID+0) sid-ab-experimental; urgency=medium

  * [7c87165] repositories/index.html: Add "sources_list" calls in top-
    level overview
  * [af341be] dist.py (bookworm release): Debian bookworm: Add bookworm-
    backports-sloppy
  * [c0ced49] dist.py (bookworm release): Add Debian trixie
  * [62558ef] views|models.py: Fix both calls to mbd_msg_exception():
    Actually us a 'prefix str' (fixes slightly wrong formatted messages)
  * [41ac995] manual/administrator.rst: (Re)add example to manually list
    all signatures in a release file
  * [43184b3] manual (sphinx): Switch to 'alabaster' theme plus
    'copybutton'
  * [354a4c3] manual/administrator.rst: Improve wording for other APT
    sosurces
  * [3750660] manual/*.rst: Consistent 'section newlines' for all
    documents
  * [05bfb95] manual/abstract.rst: Fix "about manual" section placing &&
    add "admonition section"
  * [b9316e7] gnupg.py (gpgme_verify_release): Add (info) log for all
    signatures found in a release file
  * [b4030fe] dist.py: Add new bookworm APT keys
  * [f3c1b4f] dist.py (setup): Update APT keys for sid (bookworm release)
  * [638ead6] dist.py (setup): Update APT keys for trixie (bookworm
    release)
  * [5f5b5cf] dist.py (setup): Update APT keys for bookworm (bookworm
    release)
  * [d8d1d49] dist.py (setup): Update APT keys for bullseye (bookworm
    release)
  * [f84e0a1] dist.py (setup): Update APT keys for buster (bookworm
    release)
  * [b80e3af] dist.py (setup): Update APT keys for jessie (missing key)
  * [f73516e] manual/roadmap.rst: Add note to drop "test_packages" API
    call
  * [50e092a] manual/administrator.rst: Add attention note about reprepro
    5.4
  * [a6bf3d3] debian/control: Drop sphinx-copybutton (from 2.0.x): Not
    available in buster
  * MINI_BUILDD_OPTION: ignore-lintian=true
  * MINI_BUILDD_OPTION: auto-ports=bookworm-ab-experimental,bullseye-ab-
    experimental,buster-ab-experimental

 -- Stephan Sürken <absurd@debian.org>  Mon, 19 Jun 2023 11:34:35 +0200
