## mini-buildd 1.9.125.dev20230619093432~ab11+0

=== debian/changelog ===
mini-buildd (1.9.125.dev20230619093432~ab11+0) bullseye-ab-experimental; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    5dc0052bba570ebdca49c4b05a365d9c9b37510a.
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Mon, 19 Jun 2023 11:37:29 +0200
