## mini-buildd 1.9.125.dev20230619094600~ab11+0

=== debian/changelog ===
mini-buildd (1.9.125.dev20230619094600~ab11+0) bullseye-ab-experimental; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    714e5a75f3ce471dd48361b23185dc14168cb495.
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Mon, 19 Jun 2023 11:49:01 +0200
