## mini-buildd 2.0.0

=== debian/changelog ===
mini-buildd (2.0.0) unstable; urgency=medium

  Initial stable release.

  * Bug fix: "Not suitable for testing yet (due to outstanding migration
    tests)", thanks to absurd@debian.org</a>; (Closes: #1026843).
  * Bug fix: "answering &quot;never&quot; to auto-setup is not honored",
    thanks to ydirson@free.fr</a>; (Closes: #886128).
    (the 'auto-setup' script is gone)

  Updates setup's APT keys after bookworm release && various minor doc
  improvements.

  Details:
  * [7c87165] repositories/index.html: Add "sources_list" calls in top-
    level overview
  * [af341be] dist.py (bookworm release): Debian bookworm: Add bookworm-
    backports-sloppy
  * [c0ced49] dist.py (bookworm release): Add Debian trixie
  * [62558ef] views|models.py: Fix both calls to mbd_msg_exception():
    Actually us a 'prefix str' (fixes slightly wrong formatted messages)
  * [41ac995] manual/administrator.rst: (Re)add example to manually list
    all signatures in a release file
  * [43184b3] manual (sphinx): Switch to 'alabaster' theme plus
    'copybutton'
  * [354a4c3] manual/administrator.rst: Improve wording for other APT
    sosurces
  * [3750660] manual/*.rst: Consistent 'section newlines' for all
    documents
  * [05bfb95] manual/abstract.rst: Fix "about manual" section placing &&
    add "admonition section"
  * [b9316e7] gnupg.py (gpgme_verify_release): Add (info) log for all
    signatures found in a release file
  * [b4030fe] dist.py: Add new bookworm APT keys
  * [f3c1b4f] dist.py (setup): Update APT keys for sid (bookworm release)
  * [638ead6] dist.py (setup): Update APT keys for trixie (bookworm
    release)
  * [5f5b5cf] dist.py (setup): Update APT keys for bookworm (bookworm
    release)
  * [d8d1d49] dist.py (setup): Update APT keys for bullseye (bookworm
    release)
  * [f84e0a1] dist.py (setup): Update APT keys for buster (bookworm
    release)
  * [b80e3af] dist.py (setup): Update APT keys for jessie (missing key)
  * [f73516e] manual/roadmap.rst: Add note to drop "test_packages" API
    call
  * [50e092a] manual/administrator.rst: Add attention note about reprepro
    5.4
  * [a6bf3d3] debian/control: Drop sphinx-copybutton (from 2.0.x): Not
    available in buster
  * [40f0d8c] manual/roadmap.rst: Add note to re-enable copybutton for
    2.2.x

 -- Stephan Sürken <absurd@debian.org>  Mon, 19 Jun 2023 16:26:42 +0200
