## mini-buildd 2.0.1~ab12+1

=== debian/changelog ===
mini-buildd (2.0.1~ab12+1) bookworm-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    d671ca3bfc6a5d2f9032bfd1efae334cb92e8da5.
  * External port from: https://deb.debian.org/debian/pool/main/m/mini-
    buildd/mini-buildd_2.0.1.dsc
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Sun, 02 Jul 2023 13:14:07 +0200

mini-buildd (2.0.1) unstable; urgency=medium

  Fixes some non-reproducible usage (mini-buildd, *-dput) && minor
  post-release fixups:

  * [e659a70] debian/gbp.conf (debian-branch): Fixup to '2.0.x'
  * [e812c5e] mini-buildd-dput: Don't use build-time path for "--config"'s
    default value (fixes help && man page)
  * [eae1c9d] manual/roadmap.rst: Update "next labeling" after 2.0.0
    release
  * [31bb735] manual/roadmap.rst (upgrade from 1.0.x): Fix: bullseye
    support will be via ``Hellfield Archive`` && minor improvements
  * [1ea5e7a] src/mini-buildd (usage): Don't use build host's FQDN in
    usage (Closes: 1039506)

 -- Stephan Sürken <absurd@debian.org>  Tue, 27 Jun 2023 09:45:58 +0200
