## mini-buildd 2.0.2

=== debian/changelog ===
mini-buildd (2.0.2) unstable; urgency=medium

  Mostly various minor Debian packaging and documentation fixups:

  * [c30a68d] manual/roadmap.rst (2.0.x upgrade checklist): Add hint for
    'keyring packages' && make item order more 'practical'
  * [12871fb] debian/control (Multi-Arch): Make mini-buildd-doc Multi-
    Arch: foreign
  * [b6977df] debian/control (Standards-Version): Update to 4.4.1->4.6.2
    (no changes needed)
  * [b2519ae] manual/roadmap.rst: Sync with master
  * [0275605] manual (sidebar): Improve and add "top" back link
  * [08d6186] manual/administrator.rst: Add FAQ && example config on how
    to run in systemd container
  * [dccbd88] debian/control (Depends): Double down on warning for
    reprepro 5.4 via dependency
  * [0ee22a3] models.py (Remote.mbd_check): Wake remote on check
  * [7498ef1] Move systemd container example to mini-buildd-utils
  * [bcc1e43] manual/administrator.rst: Minor text improvements
  * [e78c187] examples/mini-buildd/pin-sbuild-for-urold: Fix strange
    wording in comment
  * [a9b8be8] admin/mini_buildd.html: Drop bogus links to manual (category
    titles)

 -- Stephan Sürken <absurd@debian.org>  Wed, 05 Jul 2023 09:39:32 +0200
