## mini-buildd 2.0.3

=== debian/changelog ===
mini-buildd (2.0.3) unstable; urgency=medium

  [ Stephan Sürken ]
  * [778920c] src/mini-buildd-ssh-uploader-command: Allow dput via dput
    (bullseye and older) and dput-ng
  * [627b108] dist.py (lenny): Add "timeout" as extra chroot package (has
    it's own package in lenny) [we still don't get lenny to build though]
  * [3d90c65] api.py (Migrate): Extra doc to make clear we migrate *from*
    the given distribution
  * [0d80f85] manual/roadmap.rst (2.0.x): Upgrade checklist: Split (in
    admin/consumer sections) && add note about changed paths in keyring
    packages

  [ Gerhard A. Dittes ]
  * [d402342] src/mini_buildd/static/admin.css: make preformatted text
    distinguishable in "dark mode"

  [ Stephan Sürken ]
  * [d01d9a2] models.py (Daemon.mbd_notify_event): Fix (email) notify for
    non-raw (i.e., with name attached) ``EMailAddress``es

 -- Stephan Sürken <absurd@debian.org>  Tue, 11 Jul 2023 16:44:51 +0200
