## mini-buildd 2.0.4

=== debian/changelog ===
mini-buildd (2.0.4) unstable; urgency=medium

  * [89c2547] api.py: Revive "output=plain" for API calls (on popular
    demand)
  * [db20990] events.py (Event.__str__): Add architecture to description
  * [ba22405] src/mini-buildd-ssh-setup: Make --help output work better
    with help2man
  * [2dc5247] src/mini-buildd-debootstrap-uname-2.6 (DESCRIPTION): Fix
    typo in description
  * [2887c10] changes.py (buildrequest): Add "Buildlog-Building|Installed"
    complete URLs (for convenience)
  * [3a6f47b] base.html: Move "Builders" back to _left_ main menu

 -- Stephan Sürken <absurd@debian.org>  Mon, 17 Jul 2023 13:09:13 +0200
