## mini-buildd 2.0.5

=== debian/changelog ===
mini-buildd (2.0.5) unstable; urgency=medium

  Ports (email) notification improvements from development branch:

  * [d8db8fb] models.py (Daemon.mbd_notify_event): Rewrite email notify
    code
  * [1cbf946] models.py, events.py (notify): (Re-)add textual email body
    with json as attachement
  * [319e453] models.py (notify): Send emails "From" Daemon's configured
    email address (fixes regression introduced in 3daee5ac)
  * [4be7b25] events.py (Event.isummary): Improve output for 'auto ports'

 -- Stephan Sürken <absurd@debian.org>  Sat, 29 Jul 2023 12:18:14 +0200
