## mini-buildd 2.0.6~ab10+1

=== debian/changelog ===
mini-buildd (2.0.6~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    96f8bd735a25c06b2a5f63c421fdd637ab742277.
  * External port from: https://deb.debian.org/debian/pool/main/m/mini-
    buildd/mini-buildd_2.0.6.dsc
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Wed, 09 Aug 2023 10:36:35 +0200

mini-buildd (2.0.6) unstable; urgency=medium

  * [a442525] mini-buildd-ssh-uploader-command: Fix embarrassing typo
    (fixes: would run any user command)
  * [05a3039] mini-buildd-ssh-uploader-command: Make work for dput
    implementations that use multiple connections to copy files (like
    dput-ng/paramiko)

 -- Stephan Sürken <absurd@debian.org>  Fri, 04 Aug 2023 13:25:09 +0200
