## mini-buildd 2.0.6~ab12+1

=== debian/changelog ===
mini-buildd (2.0.6~ab12+1) bookworm-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    96f8bd735a25c06b2a5f63c421fdd637ab742277.
  * External port from: https://deb.debian.org/debian/pool/main/m/mini-
    buildd/mini-buildd_2.0.6.dsc
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Wed, 09 Aug 2023 10:36:33 +0200
