## mini-buildd 2.0.9

=== debian/changelog ===
mini-buildd (2.0.9) unstable; urgency=medium

  * [b6ed1c2] devel (mbd_api): Don't use --script-mode by default for API
    calls
  * [f52a753] models.py (Archive): Avoid unnecessary double '/' in release
    URL. Thanks to Magnus Holmgren (Closes: 1052459)
  * [b1e873d] modely.py,admin.py(django 4.2): pylint adaptions (for
    compatibility down to 2.2)
  * [a66467b] mini-buildd-self-signed-certificate (CN): Fall back to
    'localhost' if ``hostname`` fails (Closes: 1052822)
  * [9c65b59] devel (tidy): Add exception for django 4.2
  * [3bbcc56] dist.py (setup): Fix "broken" description for Ubuntu lunar
    (debootstrap, not debmirror)
  * [18ca477] dist.py: Add support for Ubuntu mantic
  * [eafe1fb] models.py (Chroot): Workaround: Be able to strap 'newer
    Ubuntus' with Debian's ``debootstrap``
  * [8873fc7] devel (codespell): Adjustments for version 2.2.6: One actual
    typo fixed, added new exception

 -- Stephan Sürken <absurd@debian.org>  Sun, 22 Oct 2023 10:48:13 +0200

mini-buildd (2.0.8) unstable; urgency=medium

  Assorted fixes ported from development

  [ Gerhard A. Dittes ]
  * [c787e3f] src/mini_buildd/templates/mini_buildd/includes/events.html:
    fix missing "list item" tags

  [ Stephan Sürken ]
  * [f3e1ea1] dir.html: Drop extra entry for "..": Redundant, and broke
    datatable's 'modified' sorting
  * [25c7449] manual/administrator.rst: Fix/update for "Logging and
    Debugging" section
  * [2a84007] api.py (Setup.report_load): Check for path existence (avoids
    unnecessary WARN log)
  * [bc49135] builders/index.html: Don't warn if remotes are nor re-
    checked -- rather note if they are
  * [fa6e222] models.py, reprepro.py: Fix rollbacks on migrate
  * [c79e2eb] changes.py: Fix buildrequests for orig-less uploads
  * [327f303] mini-buildd-api: Add --script-mode (force to be non-
    interactive)
  * [2341ce5] client.py (Client.api): Interact on any error && add
    interactive skip option

 -- Stephan Sürken <absurd@debian.org>  Sun, 17 Sep 2023 17:02:25 +0200

mini-buildd (2.0.7) unstable; urgency=medium

  A couple of minor ported fixes

  [ Stephan Sürken ]
  * [b914c85] views.py (API): Error handling: Rather use BadRequest (not
    Unauthorized) when confirmation is missing

  [ Gerhard A. Dittes ]
  * [62696c6]
    src/mini_buildd/templates/mini_buildd/includes/tags/datatable.html:
    tune "anti flicker" workaround to actually work
  * [34c8bda]
    src/mini_buildd/templates/mini_buildd/includes/tags/datatable.html:
    slightly retweak "anti flicker" workaround

  [ Stephan Sürken ]
  * [5f4ff86] models.py (Builders): Add warning log on remote error (else
    possible error reason would not show up at all)
  * [8a0df5d] dist.py (Codename): Drop debug log when using codename
    sorting default (too much even for debug mode)

 -- Stephan Sürken <absurd@debian.org>  Sat, 02 Sep 2023 16:46:49 +0200
