## mini-buildd 2.0.10

=== debian/changelog ===
mini-buildd (2.0.10) unstable; urgency=medium

  * [1312635] debian/po/sv.po: Update Swedish debconf translation. Thanks
    to Martin Bagge, Anders Jonsson (Closes: 1054279)
  * [4e446b4] models.py (PrioritySource): Make filterable (origin,
    codename) in admin interface

 -- Stephan Sürken <absurd@debian.org>  Sun, 26 Nov 2023 13:42:30 +0100
